function love.load()
	require("Window")
	require("Func")
	require("Ball")
	require("Paddle")
	require("Bricks")
	
	player = true
	computer = (paddle.w / 2)
	tempSpeed = 0
	slowMotion = false
	
	ball.angleRange = ball.vy * 2
end

require"love_run" --bug in overlap black...

function love.keypressed(k)
	if k == 'escape' then
		love.event.quit()
	end
	if k == 'r' then
		ballReset()
	end
	if k == 's' then
		slowMotion = boolSwitch(slowMotion)
	end
	if k == ' ' then
		ball.y = 0
	end
end

function love.draw()
	love.graphics.print(tostring(tempSpeed), 10, 10)
	love.graphics.circle("fill", ball.x, ball.y, ball.pointSize)
	love.graphics.rectangle("fill", paddle.x, paddle.y, paddle.w, paddle.h)
	
	for i = 1,allBricks * allRows do
		if bricks[i].bool == true then
			love.graphics.rectangle("line",bricks[i].x,bricks[i].y,10,10)
		end
	end
end

function love.update(dt)
	if slowMotion == true then
		love.timer.sleep(0.25)
	end
	paddleCheck()
	ballMove()
	brickCheck()
end